<?
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: SHCMS Engine Панель управления.
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'SHCMS Engine Управление главной меню';
include_once'../template/head.php';
registrat();
$adminka ->admin();

if($_GET['id']){$id_menu = $_GET['id'];}
$menuli = mysql_fetch_array(mysql_query("SELECT * FROM 	`menu_list` WHERE `id` = '".$id_menu."'"));
switch($act)
{
case'':





			$menu_list = mysql_query("SELECT * FROM `menu_list` ORDER BY `mes` ASC");
			while($menu = mysql_fetch_array($menu_list))
{
echo "<div class='posts'><img src='/template/icon/$menu[icons]'/> <strong>$menu[name]</strong>";
if($menu['close'] == 1){echo '<div class="maintime mainrazd">Раздел скрыт</div>';}
echo "
<br/>Счетчик: $menu[count]
<br/>Ссылка: $menu[dir]
<br/>Места: $menu[id]
<span class='mainforum'>";
if($menu['close'] == 1) {
echo "<a title='Открыть' href='?id_open=$menu[id]&act=open_menu'><img src='/template/icon/open.png'></a>";}
elseif($menu['clode'] == NULL) {
echo "<a title='Скрыть' href='?id_close=$menu[id]&act=close_menu'><img src='/template/icon/close.png'></a>";}
echo "
<a title='Редактировать' href='?edit_id=$menu[id]&act=edit'><img src='/template/icon/edit.png'></a>
<a title='Перенести вниз' href='?id=$menu[id]&act=down'><img  src='/template/icon/down.png'></a>
<a title='Перенести вверх' href='?id=$menu[id]&act=up'><img src='/template/icon/up.png'></a>
<a title='Удаление раздела' href='?id_delete=$menu[id]&act=delete'><img src='/template/icon/delete.png'></a>
</span>
</div>";
					 
}
echo '<div class="user_foot">Навигация</div>';
echo "<div class='posts'><img src='/template/icon/new_doc.png'><a href='?act=new_razd'>Добавить раздел</a></div>";

break;

case 'close_menu':

if($_GET['id_close']){$id_close = $_GET['id_close'];}
$menuclose = mysql_fetch_array(mysql_query("SELECT * FROM `menu_list` WHERE `id` = '$id_close'"));

$close = mysql_query("UPDATE `menu_list` SET `close` = '1' WHERE `id`='$id_close'");
if($close == true)
{
	messag("Раздел $menuclose[name] успешно скрыт");
	header('Refresh: 1; url=?' );
}
else
{
	errors("Ошибка при закрытие файла $menuclose[name]");
	header('Refresh: 1; url=?' );
}
break;

case 'open_menu':

if($_GET['id_open']){$id_open = $_GET['id_open'];}
$menuopen = mysql_fetch_array(mysql_query("SELECT * FROM `menu_list` WHERE `id` = '$id_open'"));

$open = mysql_query("UPDATE `menu_list` SET `close` = '0' WHERE `id`='$id_open'");
if($open == true)
{
	messag("Раздел $menuopen[name] успешно открыт");
	header('Refresh: 1; url=?' );
}
else
{
	errors("Ошибка при открытие файла $menuclose[name]");
	header('Refresh: 1; url=?' );
}
break;

case 'new_razd':


$editors = mysql_fetch_array(mysql_query("SELECT * FROM `menu_list` ORDER BY `mes` DESC"));

if($_POST['submit']) {
    $submit = $_POST['submit'];}

    if(isset($submit)) {
	
	if($_POST['name']) {
    $name = $_POST['name'];}
	if($_POST['dir']) {
    $dir = $_POST['dir'];}
	if($_POST['count']) {
    $count = $_POST['count'];}
	if($_POST['icons_menu']) {
    $icons_menu = $_POST['icons_menu'];}
	if($_POST['mes']) {
    $mes = $_POST['mes'];}
		if($_POST['style']) {
    $style = $_POST['style'];}
	
if(empty($name))
{
echo '<div class="errors">Введите название</div>';
header('Refresh: 1; url=?' );
include_once'../template/foot.php';
exit();
}
if(empty($dir))
{
echo '<div class="errors">Введите пусть к папке</div>';
header('Refresh: 1; url=?' );
include_once'../template/foot.php';
exit();
}


$new_menu = mysql_query("INSERT INTO `menu_list` (`name`,`icons`,`mes`,`dir`,`count`,`time`,`style`) VALUES ('$name','$icons_menu','".($editors['mes']+1) ."','$dir','$count','".time()."','$style')");
	if($new_menu == true){
	messag("Раздел $editors[name] успешно изменено");
	header('Refresh: 1; url=?' );
	}else
	{
	errors('Возникла ошика при редактирование раздела '.$editors['name'].'');
	header('Refresh: 1; url=?' );
	}
	
	
}

echo '<form action="" method="post">';
echo 'Название:<br/><input type="text" name="name">';

		echo '<br/>Папка:<br/><input type="text" name="dir">';
		echo '<br/>Счетчик:<br/><input type="text" name="count" >';
		echo '<br/>Стиль:<br/><input type="text" name="style" value="posts_gl" >';
			echo '<br/>Места:<br/><input type="text" name="mes"  value="'.($editors['mes']+1) .'" disabled="disabled">';
		  echo "<br/>Иконка раздела:[<a href='?act=prosm_icon'>Просмотр icon</a>]<br />\n<select name='icons_menu'>\n";
         $icons_menu = opendir(H.'template/icon/');
        while ($icon_menu = readdir($icons_menu)) {
            if (($icon_menu!= 'users' and $icon_menu!= 'Thumbs.db' and $icon_menu!= '.' and $icon_menu!= '..')) {
              
         
				echo '<option>'.$icon_menu . '</option>';
            
			}
        }
        closedir($icons_menu);
        echo '</select><br/>';
		
		echo '<input type="submit" name="submit">';


break;

case 'delete':
if($_GET['id_delete']){$id_delete = $_GET['id_delete'];}
$del_razel = mysql_fetch_array(mysql_query("SELECT * FROM `menu_list` WHERE `id`= '$id_delete'"));
$delete = mysql_query("DELETE FROM `menu_list` WHERE `id` = '$id_delete'");
mysql_query("OPTIMIZE TABLE `menu_list`");

    if($delete == true){
      messag('Раздел '.$del_razel['name'].' успешно удален');
      header('Refresh: 1; url=?' );
    }else {
      errors('Возникла ошибка при удаление раздела '.$del_razel['name'].'');
      header('Refresh: 1; url=?' );
    }

break;
case 'up':

mysql_query("UPDATE `menu_list` SET `mes` = '".($menuli['mes'])."' WHERE `mes` = '".($menuli['mes']-1)."' LIMIT 1");
mysql_query("UPDATE `menu_list` SET `mes` = '".($menuli['mes']-1)."' WHERE `id` = '".$id_menu."' LIMIT 1");
messag($menuli['name'].' перенесен вверх');
header("Refresh:1; url=edit.menu.php");
break;

case'down':

mysql_query("UPDATE `menu_list` SET `mes` = '".($menuli['mes'])."' WHERE `mes` = '".($menuli['mes']+1)."' LIMIT 1");
mysql_query("UPDATE `menu_list` SET `mes` = '".($menuli['mes']+1)."' WHERE `id` = '".$id_menu."' LIMIT 1");
messag($menuli['name'].' перенесен вниз');
header("Refresh:1; url=edit.menu.php");
break;

case 'prosm_icon':

      $dir_them = opendir('../template/icon/');
      while ($des_them = readdir($dir_them)) {
    if (($des_them != '.') && ($des_them != '..')) {
	  echo '<div class="posts"><img src="../template/icon/'.$des_them.'"> '.$des_them.'</div>';
    }}
        closedir($dir_them);

break;
case 'edit':

if($_GET['edit_id']){$edit_id = $_GET['edit_id'];}
$editors = mysql_fetch_array(mysql_query("SELECT * FROM `menu_list` WHERE `id` = '$edit_id'"));

if($_POST['submit']) {
    $submit = $_POST['submit'];}

    if(isset($submit)) {
	
	if($_POST['name']) {
    $name = $_POST['name'];}
	if($_POST['dir']) {
    $dir = $_POST['dir'];}
	if($_POST['count']) {
    $count = $_POST['count'];}
	if($_POST['icons_menu']) {
    $icons_menu = $_POST['icons_menu'];}
	if($_POST['mes']) {
    $mes = $_POST['mes'];}
			if($_POST['style']) {
    $style = $_POST['style'];}
if(empty($name))
{
echo '<div class="errors">Введите название</div>';
header('Refresh: 1; url=?edit_id='.$edit_id.'&act=edit' );
include_once'../template/foot.php';
exit();
}
if(empty($dir))
{
echo '<div class="errors">Введите пусть к папке</div>';
header('Refresh: 1; url=?edit_id='.$edit_id.'&act=edit' );
include_once'../template/foot.php';
exit();
}

if(empty($mes))
{
echo '<div class="errors">Укажите места ссылки</div>';
header('Refresh: 1; url=?edit_id='.$edit_id.'&act=edit' );
include_once'../template/foot.php';
exit();
}

$edit_menu = mysql_query("UPDATE `menu_list` SET `name` = '$name', `icons` = '$icons_menu',`mes`='$mes', `dir` = '$dir', `count` = '$count',`style`= '$style' WHERE `id`= '$edit_id'");
	if($edit_menu == true){
	messag("Раздел $editors[name] успешно изменено");
	header('Refresh: 1; url=?edit_id='.$edit_id.'&act=edit' );
	}else
	{
	errors('Возникла ошика при редактирование раздела '.$editors['name'].'');
	header('Refresh: 1; url=?edit_id='.$edit_id.'&act=edit' );
	}
	
	
}

echo '<form action="" method="post">';
echo 'Название:<br/><input type="text" name="name" value='.$editors['name'].'>';

		echo '<br/>Папка:<br/><input type="text" name="dir" value='.$editors['dir'].'>';
		echo '<br/>Счетчик:<br/><input type="text" name="count" value='.$editors['count'].'>';
		echo '<br/>Счетчик:<br/><input type="text" name="style" value='.$editors['style'].'>';
			echo '<br/>Места:<br/><input type="text" name="mes" value='.$editors['mes'].'>';
		  echo "<br/>Иконка раздела:<br />\n<select name='icons_menu'>\n";
         $icons_menu = opendir(H.'template/icon/');
        while ($icon_menu = readdir($icons_menu)) {
            if (($icon_menu!= 'users' and $icon_menu!= 'Thumbs.db' and $icon_menu!= '.' and $icon_menu!= '..')) {
              
         
				echo '<option' . ($editors['icons'] == $icon_menu ? ' selected="selected">' : '>') . $icon_menu . '</option>';
            
			}
        }
        closedir($icons_menu);
        echo '</select><br/>';
		
		echo '<input type="submit" name="submit">';
		
break;


		}			
					 
					 
					 
include_once'../template/foot.php';
?>